Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiFactoryManager

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiFactoryManager

public class JimiFactoryManager
extends java.lang.Object

Class for accessing JimiImageFactories. This class attempts to load all factories, and makes appropriate substitutions if some are unavailable. It can handle the absence of VMM, One-Shot, or Stamped factories.

Field Summary
`protected static JimiImageFactory` | `memoryFactory`
`protected static java.lang.String` | `ONESHOT_FACTORY_NAME`
`protected static JimiImageFactory` | `oneshotFactory`
`protected static boolean` | `stampingAvailable`
`protected static java.lang.String` | `VMEM_FACTORY_NAME`
`protected static JimiImageFactory` | `vmemFactory`
`protected static boolean` | `vmemInitialized`

Constructor Summary
`JimiFactoryManager()`

Method Summary
`static JimiImageFactory` | `getMemoryFactory()`
`static JimiImageFactory` | `getOneshotFactory()`
`static JimiImageFactory` | `getVMemFactory()`
`protected static void` | `initVMemFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memoryFactory

    protected static JimiImageFactory memoryFactory

### oneshotFactory

    protected static JimiImageFactory oneshotFactory

### vmemFactory

    protected static JimiImageFactory vmemFactory

### stampingAvailable

    protected static boolean stampingAvailable

### vmemInitialized

    protected static boolean vmemInitialized

### ONESHOT_FACTORY_NAME

    protected static final java.lang.String ONESHOT_FACTORY_NAME

### VMEM_FACTORY_NAME

    protected static final java.lang.String VMEM_FACTORY_NAME

Constructor Detail

### JimiFactoryManager

    public JimiFactoryManager()

Method Detail

### getMemoryFactory

    public static JimiImageFactory getMemoryFactory()

### getVMemFactory

    public static JimiImageFactory getVMemFactory()

### getOneshotFactory

    public static JimiImageFactory getOneshotFactory()

### initVMemFactory

    protected static void initVMemFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD